Bug 254096 - system-install-packages doesn't see a difference between i386 and x86_64 packages
system-install-packages doesn't see a difference between i386 and x86_64 pack...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 23:33 EDT by -M
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 09:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description -M 2007-08-23 23:33:13 EDT
Since I can't find system-install-packages I had to file this under anaconda,
which makes some sense because anaconda but both i386 and x86_64 packages on the
machine to start with.

The problem is that if you remove either the i386 or x86_64 version of a package
and try to reinstall it via system-package-installer it tells you that the
package is already installed and it even says it's the other package you are
trying to install down to the arch, for example:

Trying to install the X86_64 package for ImageMagick with the i386 version
already installed reports:

ImageMagick-6.2.8.0-3.fc6.x86_64.rpm is already installed

This works in reverse too when trying to install the i386 version with the
X86_64 version already installed.
Comment 1 Jeremy Katz 2007-08-24 09:53:34 EDT
This is fixed up in Fedora 7
Comment 2 -M 2007-08-24 15:47:45 EDT
OK, I'll grab that then, thanks.

Note You need to log in before you can comment on or make changes to this bug.